• Welcome to our site! Electro Tech is an online community (with over 170,000 members) who enjoy talking about and building electronic circuits, projects and gadgets. To participate you need to register. Registration is free. Click here to register now.

Using XC8 compiler with MPLAB 8.92

Status
Not open for further replies.
Hi there. I usually use MPLAB 8.92 (I hate MPLAB X) and use XC16 with PIC24 but for a new project I have to use PIC16F690 and thus downloaded the latest version of XC8 (1.35).

When I go to the project drop-down to select "set tool-suite location" XC8, although it is installed in the right pace, does not appear in the list of usable compilers.

This seems to be a general problem reading various posts on the net but no practical solutions are offered.

Anyone else had this experience and know what to do ?

Graham
Durban
South Africa
 

zahwi

Member
In the documentation of XC it say that ver 1.34 upward doesn't support MPLAB. You can uninstall ver 1.35 and install earlier version.
 

zahwi

Member
I too don't like MPLAB X, NetBeans software looks like that old joke about a swing made by a committee.
 

Nigel Goodwin

Super Moderator
Most Helpful Member
In the documentation of XC it say that ver 1.34 upward doesn't support MPLAB. You can uninstall ver 1.35 and install earlier version.
I've just installed XC8 1.35 under MPLAB, and it works perfectly - I was on 1.33, but when I upgraded to Win10 it wouldn't work, and reinstalling 1.33 didn't either, so I tried 1.35 which was fine.
 
Status
Not open for further replies.

Latest threads

EE World Online Articles

Loading
Top